### gnu.inet.encoding

# Class PunycodeException

- `Exception`
- - `gnu.inet.encoding.PunycodeException`

`public class PunycodeException`
`extends Exception`

Exception handling for Punycode class.

  ## Field Summary

  `static String`

  `BAD_INPUT`

  `static String`

  `OVERFLOW`

  ## Constructor Summary

  `PunycodeException(String m)`
    Creates a new PunycodeException.

## Field Details

### BAD_INPUT

    public static String BAD_INPUT

### OVERFLOW

    public static String OVERFLOW

## Constructor Details

### PunycodeException

    public PunycodeException(String m)

> Creates a new PunycodeException.
> Parameters:
>   `m` - message.